Bug 1984890 - Ansible collection repo validate both auth url and token are supplied
Summary: Ansible collection repo validate both auth url and token are supplied
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: Samir Jha
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On: 1945601
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-22 12:32 UTC by Peter Ondrejka
Modified: 2021-11-16 14:12 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-4.1.1.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:12:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33147 0 Normal New Ansible collection repo validate both auth url and token are supplied 2021-07-26 17:02:00 UTC
Foreman Issue Tracker 33208 0 None None None 2021-08-11 15:28:06 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:12:56 UTC

Comment 1 Peter Ondrejka 2021-07-23 11:09:21 UTC
Update (snap 10): with both auth url and token the collection syncs successfully. I'm changing this bz into a form validation request -- UI should alert user if auth url is supplied without a token and vice versa.

Comment 2 Samir Jha 2021-07-26 17:01:59 UTC
Created redmine issue http://projects.theforeman.org/issues/33147 from this bug

Comment 3 Bryan Kearney 2021-07-30 16:05:52 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33147 has been resolved.

Comment 4 Bryan Kearney 2021-07-30 16:06:20 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33147 has been resolved.

Comment 5 Samir Jha 2021-08-03 18:15:42 UTC
Moving to assigned. Noticed an issue with the hub -> satelite sync in case we don't allow auth token without auth_url.

Comment 6 Brad Buckingham 2021-08-03 18:22:54 UTC
Adding the Verified=FailedQA, so that the automation doesn't move this back to POST before the issue noted in comment 5 is addressed.

Comment 11 Peter Ondrejka 2021-08-30 13:05:59 UTC
Verified on Satellite 6.10 snap 15, token can be supplied without auth url, auth url cannot be supplied without token, which matches expectation.

Comment 14 errata-xmlrpc 2021-11-16 14:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.